Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath.objects
Class XObjectFactory

    java.lang.Object
      |
      +--weblogic.apache.xpath.objects.XObjectFactory

public class XObjectFactory
extends java.lang.Object

Constructor Summary
`XObjectFactory()`

Method Summary
`static XObject` | `create(java.lang.Object val)` Create the right XObject based on the type of the object passed.
`static XObject` | `create(java.lang.Object val, XPathContext xctxt)` Create the right XObject based on the type of the object passed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XObjectFactory

    public XObjectFactory()

Method Detail

### create

    public static XObject create(java.lang.Object val)

  Create the right XObject based on the type of the object passed. This function can not make an XObject that exposes DOM Nodes, NodeLists, and NodeIterators to the XSLT stylesheet as node-sets.

  Parameters:
    `val` - The java object which this object will wrap.
  Returns:
    the right XObject based on the type of the object passed.

### create

    public static XObject create(java.lang.Object val,
                                 XPathContext xctxt)

  Create the right XObject based on the type of the object passed. This function can make an XObject that exposes DOM Nodes, NodeLists, and NodeIterators to the XSLT stylesheet as node-sets.

  Parameters:
    `val` - The java object which this object will wrap.
    `xctxt` - The XPath context.
  Returns:
    the right XObject based on the type of the object passed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference